CVE-2004-1842
CVSS7.5
发布时间 :2004-12-31 00:00:00
修订时间 :2016-10-17 23:01:29
NMCOE    

[原文]Cross-site request forgery (CSRF) vulnerability in Php-Nuke 6.x through 7.1.0 allows remote attackers to gain administrative privileges via an img tag with a URL to admin.php.


[CNNVD]PHP-Nuke Image标记管理命令执行漏洞(CNNVD-200412-738)

        
        PHP-Nuke是一个广为流行的网站创建和管理工具,它可以使用很多数据库软件作为后端,比如MySQL、PostgreSQL、mSQL、Interbase、Sybase等。
        PHP-Nuke在处理POST中的bbCode标记时存在设计错误,远程攻击者可以利用这个漏洞执行远程管理命令。
        PHP-Nuke使用bbCode标记进行图象,HTML等支持,但对用户指定的任意Image标记处理不正确,可导致执行任意远程命令,如攻击者可以提交恶意POST请求从数据库中增加或删除用户。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:francisco_burzi:php-nuke:6.0
cpe:/a:francisco_burzi:php-nuke:7.0
cpe:/a:francisco_burzi:php-nuke:6.6
cpe:/a:francisco_burzi:php-nuke:6.5_rc1
cpe:/a:francisco_burzi:php-nuke:7.1
cpe:/a:francisco_burzi:php-nuke:7.0_final
cpe:/a:francisco_burzi:php-nuke:6.5_rc2
cpe:/a:francisco_burzi:php-nuke:6.9
cpe:/a:francisco_burzi:php-nuke:6.5_beta1
cpe:/a:francisco_burzi:php-nuke:6.5_rc3
cpe:/a:francisco_burzi:php-nuke:6.7
cpe:/a:francisco_burzi:php-nuke:6.5
cpe:/a:francisco_burzi:php-nuke:6.5_final

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-1842
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-1842
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-738
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=108006309112075&w=2
(UNKNOWN)  BUGTRAQ  20040322 [waraxe-2004-SA#008 - easy way to get superadmin rights in PhpNuke 6.x-7.1.0]
http://www.securityfocus.com/bid/9895
(UNKNOWN)  BID  9895
http://xforce.iss.net/xforce/xfdb/15596
(UNKNOWN)  XF  phpnuke-img-gain-privileges(15596)

- 漏洞信息

PHP-Nuke Image标记管理命令执行漏洞
高危 输入验证
2004-12-31 00:00:00 2005-10-20 00:00:00
远程  
        
        PHP-Nuke是一个广为流行的网站创建和管理工具,它可以使用很多数据库软件作为后端,比如MySQL、PostgreSQL、mSQL、Interbase、Sybase等。
        PHP-Nuke在处理POST中的bbCode标记时存在设计错误,远程攻击者可以利用这个漏洞执行远程管理命令。
        PHP-Nuke使用bbCode标记进行图象,HTML等支持,但对用户指定的任意Image标记处理不正确,可导致执行任意远程命令,如攻击者可以提交恶意POST请求从数据库中增加或删除用户。
        

- 公告与补丁

        厂商补丁:
        Francisco Burzi
        ---------------
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://www.phpnuke.org

- 漏洞信息 (23835)

PHP-Nuke 6.x/7.0/7.1 Image Tag Admin Command Execution Vulnerability (EDBID:23835)
php webapps
2004-03-16 Verified
0 Janek Vind
N/A [点击下载]
source: http://www.securityfocus.com/bid/9895/info

It has been reported that PHP-Nuke is prone to a remote admin command execution vulnerability. This issue is due to a design error that allows an attacker to specify arbitrary URI values in bbCode tags contained within posts.

This issue may be leveraged to force an admin user viewing a malicious post to perform some query to the affected application such as adding a user or removing arbitrary data from the database.

The following URI, when inserted between the '[img]' tags and viewed by an admin user will cause the creation of a new admin user:
[img]http://www.example.com/admin.php?op=AddAuthor&add_aid=attacker&add_name=God&add_pwd=coolpass&add_email=kala@hot.ee&add_radminsuper=1[/img]		

- 漏洞信息

4517
PHP-Nuke admin.php URL IMG Tag CSRF
Remote / Network Access Input Manipulation
Loss of Integrity Solution Unknown
Exploit Public Uncoordinated Disclosure

- 漏洞描述

- 时间线

2004-03-22 Unknow
2004-03-22 Unknow

- 解决方案

Products

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站